<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('partials/head') %>
</head>
<body>
    <div class="content">
        <div class="header">
            <p><font color="#0e3a62"><b>Demo Application</b></font></p>
            <button class="loginBtn" id="login">
                Login Now
            </button>
            <!-- <button class="loginBtn" id="register">
                Register Now
            </button> -->
        </div>
        <div class="about">
            <p class="about-heading">KEY FEATURES</p>
            <div class="about-content">
            <ul>
                <b><h1 style="margin-bottom:24px">Backend</h1></b>
                <li>Object Data Modelling using Mongoose</li>
                <li>Schema Validation</li>
                <li>Server Side caching for Spike Load Handling</li>
                <li>Data Normalization before persisting into Database</li>
                <li>Rest API using Express Framework</li>
                <li>DAO and Service Layer Implementation</li>
            </ul>
            <ul>
                 <b><h1 style="margin-bottom:24px">Database</h1></b>
                <li>Authorization based Connection with Server</li>
                <li>Document Validation</li>
                <li>Unique Indexing in every collection for enhanced query response time</li>
            </ul>

            <ul>
                <b><h1 style="margin-bottom:24px">Frontend</h1></b>
                <li>EJS Templating Engine Used</li>
                <li>Responsive Pages as much as I could</li>
                <li>Single Point Of Add / Update Model</li>
                <li>Reusable Modals</li>
                <li>Strict Field Validations</li>
                <li>Developed and Integrated API's with pagination for future scaling</li>
            </ul>

            <ul>
                <b><h1 style="margin-bottom:24px">Tech Stack Credentials</h1></b>
                <div style="margin-top:24px;">
                    <b>Web Page Logins</b>
                     <li>username : user</li>
                     <li>password : 123456</li>

                    <li>username : admin</li>
                    <li>password : 123456</li>
                </div>

                       <div style="margin-top:24px;">
                            <b>GCP Server Login</b>

                            <li>IP : 35.200.192.14</li>
                            <li>username : hrbot</li>
                            <li>password : Hw2b#1b@2020</li>

                        </div>
                        <div style="margin-top:24px;">
                            <b>Mongo Credentials</b>

                            <li>user : demo</li>
                            <li>password : demo</li>
                        </div>
            </ul>
</div>
        </div>
        
    </div>

    <div class="login-modal-container hide">
        <div class="login-modal-content">
            <div id="crossBtn" class="crossBtn" >
                <p>Login </p>
                <img src="/static/images/close.svg" style="cursor: pointer; " />
            </div>
            <div class="login-content">
                <div class="login-modal-input-div" style="padding-bottom:24px">
                    <p>Username</p>
                    <input type="text" class="login-modal-input" value="" id="username" placeholder="username"/>
                </div>
                <div class="login-modal-input-div" style="padding-bottom:40px">
                    <p>PIN</p>
                    <input type="password" class="login-modal-input" value="" id="password" placeholder="personal PIN"/>
                </div>
                <div style="text-align:center;display:flex;visibility: hidden;opacity: 0.9;padding:8px 0px;color:red;font-size: 16px;
                      justify-content:center;align-items: center;" id="toast">
                <p style="margin:0"></p>
             </div>
                <div class="login-modal-input-div">
                    <button class="login-modal-button" id="userLogin"> Login </button>
                </div>
                 
            </div>
        </div>
        <div class="login-back-drop"></div>
    </div>

    <footer>
        <%- include('partials/footer') %>
    </footer>

</body>

<script type="text/javascript">



    clearForm=()=>{
       document.getElementById("username").value=''
       document.getElementById("password").value=''

    }
    document.getElementById("login").addEventListener("click", () => {
        document.querySelector(".login-modal-container").classList.remove("hide");
        
    });


    document.getElementById("crossBtn").addEventListener("click", () => {
        document.querySelector(".login-modal-container").classList.add("hide");

    });

     document.getElementById("username").addEventListener("keyup", function(event) {
    if (event.keyCode === 13) {
        
        event.preventDefault();
        document.getElementById("password").focus();
    }
    });

    document.getElementById("password").addEventListener("keyup", function(event) {
    if (event.keyCode === 13) {
        
        event.preventDefault();
        document.getElementById("userLogin").click();
    }
    });

   
    document.getElementById("userLogin").addEventListener("click",() => {
        let regex=/^([0-9]{6})$/;
        let username=document.getElementById("username").value;
        let password=document.getElementById("password").value;
        if(username.length<4 || username.length> 20 ){
           return toast("Username should be between 4 to 20 characters")
        }
        if(!regex.test(password)){
            return toast("Password should be of 6 digits")
        }
       
                let reqObj={
                    password : toBase62(password)
                }
                var url = `/auth/validateLogin/${username}`;
                $.ajax({
                "async": true,
                "url": url,
                "type": "POST",
                "headers" : {
                    "Content-type" : "application/json"
                    },
                    "data" : JSON.stringify(reqObj),
                    success: function (data) {
                    if(data.responseCode!=200){
                        toast(data.message)
                    } else {
                        toast(data.message)
                        window.location.replace(`home/${fromBase62(data.user.userName)}/${fromBase62(data.user.userType)}`);
                        clearForm();
                    }
                    }
                
                    ,            
                    error: function (error) {
                        alert("Couldn't Login : "+JSON.stringify(error));
                    }
                });
            

      
    })


</script>
</html>